; Beispiel
; Einfache Animation


; Includieren der Animations-Lib
Include "Animation.bb"


; Normales initialisieren der Grafik
Graphics 400,300,32,2
SetBuffer BackBuffer()



; Laden des Bildes
Local animimage = LoadAnimImage( "man.png", 126, 126, 0, 16 )

; Erstellen eines neuen Animationsobjekts
Global animobj.TAnimationObject = CreateAnimationObject( animimage )

; Einzelne Animationen auswhlen
Global gehen.TAnimation = AddAnimation( animobj, 4, 7 )
Global springen.TAnimation = AddAnimation( animobj, 8, 11 )

; Animation starten
StartAnimation( gehen )


Global x=0
Global y=150


; Normale Hauptschleife
Local timer = CreateTimer( 10 )
Repeat
	
	If KeyHit( 57 ) Then StartAnimation( springen )
	If IsAnimationActive( animobj )=False Then StartAnimation( gehen ); Geh-Animation bei Ende neustarten
	
	; Animation zeichnen
	RenderAnimation animobj, x, y
	Advanced()
	
	Flip 0
	WaitTimer timer
	Cls
Until KeyHit( 1 )
End


Function Advanced()
	
	; berprfen ob berhaupt eine Animation luft
	If IsAnimationActive( animobj ) Then
		
		; Die aktuelle Animation herausfinden
		; Je nach animation muss etwas anderes passieren
		Select Handle(animobj\activeanimation)
			Case Handle(gehen)
				x=x+1
				y=150
			Case Handle(springen)
				y=100
		End Select
		
	End If
	
End Function
;~IDEal Editor Parameters:
;~C#Blitz3D